﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 (1 yr) BW Tests IEEE /5800+5Ch
DATE:                  2007-10-04 08:41:00
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       79
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6061, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub WR6000 Select Channel
#        Sub WR6000 (1 yr) BW VER IEEE /5800
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Variables Used:
#
#    @Chan
#      This register specifies which channel of the WR6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#    @NumChan
#      This register specifies the number of channels the WR6000
#      series oscilloscope has.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {BANDWIDTH TESTS}
  1.003  MATH         @Chan = 1
  1.004  M5800                                                    C1
  1.005  CALL         Sub WR6000 Select Channel
  1.006  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800

  1.007  MATH         @Chan = 2
  1.008  M5800                                                    C2
  1.009  CALL         Sub WR6000 Select Channel
  1.010  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800

  1.011  IF           @NumChan == 4
  1.012  MATH         @Chan = 3
  1.013  M5800                                                    C3
  1.014  CALL         Sub WR6000 Select Channel
  1.015  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800

  1.016  MATH         @Chan = 4
  1.017  M5800                                                    C4
  1.018  CALL         Sub WR6000 Select Channel
  1.019  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800
  1.020  ENDIF

  1.021  END
